Bug 263256 - devel/nexus2-oss: update to 2.15.1-02
Summary: devel/nexus2-oss: update to 2.15.1-02
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-13 12:41 UTC by Michael Osipov
Modified: 2022-05-15 15:03 UTC (History)
2 users (show)

See Also:


Attachments
Patch against /usr/ports (27.15 KB, patch)
2022-04-13 12:41 UTC, Michael Osipov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Osipov 2022-04-13 12:41:23 UTC
Created attachment 233195 [details]
Patch against /usr/ports

Port maintainer here. Complete update to latest minor version.

Please update UPDATING as well:
> 20220XXX:
>   AFFECTS: devel/nexus2-oss
>   AUTHOR: michael.osipov@siemens.com
> 
>   Nexus 2.15.x introduces incompatible configuration changes. You must review
>   changes in ETCDIR/wrapper.conf and ETCDIR/jetty*.xml with updated samples as well
>   as NEXUS_WORKDIR/conf/logback-nexus.xml with its origin from
>   DATADIR/nexus/WEB-INF/lib/nexus-core-VERSION.jar!/META-INF/log/logback-nexus.xml,
>   grant write access to files in ETCDIR since Nexus itself might update files
>   in place otherwise your instance will not properly work after the update.
Comment 1 Kurt Jaeger freebsd_committer 2022-05-13 19:47:07 UTC
testbuilds@work
Comment 2 commit-hook freebsd_committer 2022-05-13 21:08:07 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=42fc5985a32ed2d18c953ac5864a48c30c477b38

commit 42fc5985a32ed2d18c953ac5864a48c30c477b38
Author:     Michael Osipov <michael.osipov@siemens.com>
AuthorDate: 2022-05-13 21:04:17 +0000
Commit:     Kurt Jaeger <pi@FreeBSD.org>
CommitDate: 2022-05-13 21:04:17 +0000

    devel/nexus2-oss: update 2.14.20 -> 2.15.1

    PR:             263256
    Approved by:    Michael Osipov <michael.osipov@siemens.com> (maintainer)

 UPDATING                                           |  13 ++
 devel/nexus2-oss/Makefile                          |   8 +-
 devel/nexus2-oss/distinfo                          |   6 +-
 .../files/patch-conf_jetty-requestlog.xml          |   8 +-
 devel/nexus2-oss/files/patch-conf_nexus.properties |   6 +-
 devel/nexus2-oss/files/patch-conf_wrapper.conf     |  26 ++--
 devel/nexus2-oss/files/pkg-message.in              |   6 +-
 devel/nexus2-oss/pkg-descr                         |   2 +-
 devel/nexus2-oss/pkg-plist                         | 163 +++++++++++----------
 9 files changed, 135 insertions(+), 103 deletions(-)
Comment 3 Michael Osipov 2022-05-15 13:47:08 UTC
Kurt, can we close this?
Comment 4 Kurt Jaeger freebsd_committer 2022-05-15 15:03:05 UTC
Committed, thanks!